Approve or decline a pending tool call
curl --request POST \
--url https://api.eventlink.co/api/v1/ai/chat/tool-approval \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "<string>",
"eventId": "<string>",
"runId": "<string>",
"approved": true,
"toolCallId": "<string>"
}
'import requests
url = "https://api.eventlink.co/api/v1/ai/chat/tool-approval"
payload = {
"agentId": "<string>",
"eventId": "<string>",
"runId": "<string>",
"approved": True,
"toolCallId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentId: '<string>',
eventId: '<string>',
runId: '<string>',
approved: true,
toolCallId: '<string>'
})
};
fetch('https://api.eventlink.co/api/v1/ai/chat/tool-approval', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}ai
Approve or decline a pending tool call
Resumes a Mastra agent run paused for tool approval (requireApproval). Returns an AI SDK v6 SSE stream.
POST
/
api
/
v1
/
ai
/
chat
/
tool-approval
Approve or decline a pending tool call
Authorizations
bearerAuthcookieAuth
Better Auth API key.
Body
application/json
Response
AI SDK v6 UI message stream (SSE) after approve/decline
⌘I